Redmine - Defect #5039

Reposman.rb on Windows
2010-03-10 17:57 - Bryce Nordgren

Status: Closed Start date: 2010-03-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: SCM Estimated time: 0.00 hour
Target version: 0.9.4

Resolution: Fixed Affected version: 0.9.3
Description

running Reposman on Windows fails with a "no such method uid on nilClass" error (perhaps | am paraphrasing, sorry). It appears to
be treating the Windows system as if it were a *nix system. This, in turn appears to be because it is comparing RUBY_PLATFORM
to mswin, and my RUBY_PLATFORM is

irb(main) :026:0> RUBY_PLATFORM
=> "i1386-mingw32"

I am running the rubyinstaller for windows.
This ticket is related to #1804.

As a workaround, | intend to replace mswin with the above string in the reposman.rb file, but a long-term solution should probably
leverage the solution in #1804.

Associated revisions

Revision 3571 - 2010-03-12 19:15 - Jean-Philippe Lang

Fixed windows platform detection in reposman.rb (#5039).

History

#1 - 2010-03-12 19:14 - Jean-Philippe Lang
- Status changed from New to Resolved
- Target version set to 0.9.4

- Resolution set to Fixed

Fixed in r3571.

#2 - 2010-04-11 16:29 - Jean-Philippe Lang

- Status changed from Resolved to Closed
